Package org.eclipse.gef.mvc.fx.models

## Class GridModel

- java.lang.Object
- - org.eclipse.gef.mvc.fx.models.GridModel

    public class GridModel
    extends java.lang.Object

The `GridModel` stores information about a background grid, i.e. cell width and cell height. It also stores flags indicating if the grid should be visible, if the grid should zoom with the contents, and if contents should snap to the grid.

### Field Summary

Fields
`static double` `GRID_CELL_HEIGHT_DEFAULT` The default grid cell height.
`static java.lang.String` `GRID_CELL_HEIGHT_PROPERTY` Name of the "grid cell height" property.
`static double` `GRID_CELL_WIDTH_DEFAULT` The default grid cell width.
`static java.lang.String` `GRID_CELL_WIDTH_PROPERTY` Name of the "grid cell width" property.
`static boolean` `SHOW_GRID_DEFAULT` The default value for `isShowGrid()`.
`static java.lang.String` `SHOW_GRID_PROPERTY` Name of the "show grid" property.
`static boolean` `ZOOM_GRID_DEFAULT` The default value for `isZoomGrid()`.
`static java.lang.String` `ZOOM_GRID_PROPERTY` Name of the "zoom grid" property.

### Constructor Summary

Constructors
`GridModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getGridCellHeight()` Returns the grid cell height.
`double` `getGridCellWidth()` Returns the grid cell width.
`javafx.beans.property.DoubleProperty` `gridCellHeightProperty()` Returns a double property representing the grid cell height.
`javafx.beans.property.DoubleProperty` `gridCellWidthProperty()` Returns a double property representing the grid cell width.
`boolean` `isShowGrid()` Returns `true` if the grid is visible, otherwise `false`.
`boolean` `isZoomGrid()` Returns `true` if the grid is zooming with the contents, otherwise `false`.
`void` `setGridCellHeight​(double gridCellHeight)` Sets the grid cell height to the given value.
`void` `setGridCellWidth​(double gridCellWidth)` Sets the grid cell width to the given value.
`void` `setShowGrid​(boolean showGrid)` Shows/Hides the grid depending on the given value.
`void` `setZoomGrid​(boolean zoomGrid)` Enables/Disables grid zooming depending on the given value.
`javafx.beans.property.BooleanProperty` `showGridProperty()` Returns a boolean property whose value indicates whether grid is to be shown.
`javafx.beans.property.BooleanProperty` `zoomGridProperty()` Returns a boolean property whose value indicates whether grid is to be zoomed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ZOOM_GRID_DEFAULT

    public static final boolean ZOOM_GRID_DEFAULT

The default value for `isZoomGrid()`.

See Also:
  Constant Field Values

#### SHOW_GRID_DEFAULT

    public static final boolean SHOW_GRID_DEFAULT

The default value for `isShowGrid()`.

See Also:
  Constant Field Values

#### GRID_CELL_HEIGHT_DEFAULT

    public static final double GRID_CELL_HEIGHT_DEFAULT

The default grid cell height.

See Also:
  Constant Field Values

#### GRID_CELL_WIDTH_DEFAULT

    public static final double GRID_CELL_WIDTH_DEFAULT

The default grid cell width.

See Also:
  Constant Field Values

#### GRID_CELL_WIDTH_PROPERTY

    public static final java.lang.String GRID_CELL_WIDTH_PROPERTY

Name of the "grid cell width" property.

See Also:
  Constant Field Values

#### GRID_CELL_HEIGHT_PROPERTY

    public static final java.lang.String GRID_CELL_HEIGHT_PROPERTY

Name of the "grid cell height" property.

See Also:
  Constant Field Values

#### SHOW_GRID_PROPERTY

    public static final java.lang.String SHOW_GRID_PROPERTY

Name of the "show grid" property.

See Also:
  Constant Field Values

#### ZOOM_GRID_PROPERTY

    public static final java.lang.String ZOOM_GRID_PROPERTY

Name of the "zoom grid" property.

See Also:
  Constant Field Values

### Constructor Detail

#### GridModel

    public GridModel()

### Method Detail

#### getGridCellHeight

    public double getGridCellHeight()

Returns the grid cell height.

Returns:
  The grid cell height.

#### getGridCellWidth

    public double getGridCellWidth()

Returns the grid cell width.

Returns:
  The grid cell width.

#### gridCellHeightProperty

    public javafx.beans.property.DoubleProperty gridCellHeightProperty()

Returns a double property representing the grid cell height.

Returns:
  A double property named `GRID_CELL_HEIGHT_PROPERTY`.

#### gridCellWidthProperty

    public javafx.beans.property.DoubleProperty gridCellWidthProperty()

Returns a double property representing the grid cell width.

Returns:
  A double property named `GRID_CELL_WIDTH_PROPERTY`.

#### isShowGrid

    public boolean isShowGrid()

Returns `true` if the grid is visible, otherwise `false`.

Returns:
  `true` if the grid is visible, otherwise `false`.

#### isZoomGrid

    public boolean isZoomGrid()

Returns `true` if the grid is zooming with the contents, otherwise `false`.

Returns:
  `true` if the grid is zooming with the contents, otherwise `false`.

#### setGridCellHeight

    public void setGridCellHeight​(double gridCellHeight)

Sets the grid cell height to the given value.

Parameters:
  `gridCellHeight` - The new grid cell height.

#### setGridCellWidth

    public void setGridCellWidth​(double gridCellWidth)

Sets the grid cell width to the given value.

Parameters:
  `gridCellWidth` - The new grid cell width.

#### setShowGrid

    public void setShowGrid​(boolean showGrid)

Shows/Hides the grid depending on the given value.

Parameters:
  `showGrid` - `true` in order to show the grid, or `false` in order to hide it.

#### setZoomGrid

    public void setZoomGrid​(boolean zoomGrid)

Enables/Disables grid zooming depending on the given value.

Parameters:
  `zoomGrid` - `true` in order to zoom the grid with the contents, or `false` in order to not zoom the grid.

#### showGridProperty

    public javafx.beans.property.BooleanProperty showGridProperty()

Returns a boolean property whose value indicates whether grid is to be shown.

Returns:
  A boolean property named `SHOW_GRID_PROPERTY`.

#### zoomGridProperty

    public javafx.beans.property.BooleanProperty zoomGridProperty()

Returns a boolean property whose value indicates whether grid is to be zoomed.

Returns:
  A boolean property named `ZOOM_GRID_PROPERTY`.